# `EDITOR`
for EDITOR in 'vim' 'nvim' 'vi' 'nano'
do
  ! [ "$(command -v "$EDITOR")" ] || break
done
export EDITOR

# `TERMINAL`
for TERMINAL in 'xfce4-terminal' 'gnome-terminal' 'x-terminal-emulator'
do
  ! [ "$(command -v "$TERMINAL")" ] || break
done
export TERMINAL

# `BROWSER`
for BROWSER in 'firefox' 'chromium-browser' 'x-www-browser'
do
  ! [ "$(command -v "$BROWSER")" ] || break
done
export BROWSER
